Organization Themes
Upload a validated theme asset
POST
/theme-assetsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/theme-assets" \ -H "Content-Type: application/json" \ -d '{ "content_base64": "string", "kind": "font", "media_type": "font/woff2", "name": "string", "organization_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ThemeAssetRecord.json", "checksum_sha256": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "font_family": "string", "font_style": "normal", "font_weight": 0, "height": 0, "id": "string", "kind": "font", "license_acknowledged": true, "media_type": "font/woff2", "name": "string", "organization_id": "string", "size_bytes": 0, "url": "string", "width": 0}